package com.example.vastlib.utils

import android.util.Log
import com.example.vastlib.BuildConfig

object LogUtils {
    private val ENABLE = BuildConfig.log_enable
    private val TAG = "V_LOG"

    fun error(throwable: Throwable, msg: String = "error") {
        if (ENABLE) {
            Log.d(TAG, msg, throwable)
        }
    }

    fun info(text: String) {
        if (ENABLE) {
            Log.d(TAG, text)
        }
    }
}